<?php

declare(strict_types=1);

namespace Dotclear\Plugin\DotclearWatch;

use Dotclear\Core\Process;

/**
 * @brief   DotclearWatch install class.
 * @ingroup DotclearWatch
 *
 * @author      Jean-Christian Denis
 * @copyright   Jean-Christian Denis
 * @copyright   GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
class Install extends Process
{
    public static function init(): bool
    {
        return self::status(My::checkContext(My::INSTALL));
    }

    public static function process(): bool
    {
        if (self::status() && ($s = My::settings()) !== null) {
            $s->put(
                'hidden_modules',
                'DotclearWatch',
                'string',
                'Hidden modules from report',
                false,
                true
            );
            $s->put(
                'distant_api_url',
                'https://dotclear.watch/api',
                'string',
                'Distant API URL',
                false,
                true
            );
        }

        return self::status();
    }
}
